const fs = require('fs');
const { defineConfig } = require('@vue/cli-service');

module.exports = defineConfig({
    transpileDependencies: true,

    devServer: {
        https: {
            key: fs.readFileSync('./certs/dev-key.pem'),
            cert: fs.readFileSync('./certs/dev-cert.pem')
        },
        host: '0.0.0.0', // or '0.0.0.0' if you want LAN access
        port: 8080, // or your preferred port
        allowedHosts: 'all'
    }
});